"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const client_ssm_1 = require("@aws-sdk/client-ssm");
const constant_1 = require("../../constant/config/constant");
const ParameterStoreConfigSSMProvider = {
    inject: [constant_1.PARAMETER_STORE_CONFIG_PROPERTIES],
    provide: constant_1.PARAMETER_STORE_SSM_CLIENT,
    useFactory: (properties) => {
        return new client_ssm_1.SSMClient(properties.config ?? {});
    },
};
exports.default = ParameterStoreConfigSSMProvider;
//# sourceMappingURL=ssm-client.provider.js.map