import type { DynamicModule } from "@nestjs/common";
import type { IParameterStoreConfigAsyncModuleProperties } from "@shared/interface/config/async-module-properties.interface";
import type { IParameterStoreConfigProperties } from "@shared/interface/config/properties.interface";
export declare class ParameterStoreConfigModule {
    static register(options: IParameterStoreConfigProperties): DynamicModule;
    static registerAsync(properties: IParameterStoreConfigAsyncModuleProperties): DynamicModule;
    private static createAsyncOptionsProvider;
    private static createAsyncProviders;
}
